For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
        • GETList Policies
        • POSTCreate Policy
        • GETGet Policy
        • DELDelete Policy
        • PATCHUpdate Policy
Logo
Log inBook a demo
API ReferencePermissionsPolicies

List Policies

GET
https://app.polytomic.com/api/permissions/policies
GET
/api/permissions/policies
$curl https://app.polytomic.com/api/permissions/policies \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
5 "name": "Policy",
6 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "policy_actions": [
8 {
9 "action": "read",
10 "role_ids": [
11 "248df4b7-aa70-47b8-a036-33ac447e668d"
12 ]
13 }
14 ],
15 "system": false
16 }
17 ]
18}

Lists all policies in the caller’s organization.

Each policy binds one or more roles to a set of resources, controlling what actions members with those roles can perform on those resources.

To inspect a specific policy in detail, use GET /api/permissions/policies/{id}.

Was this page helpful?
Previous

Create Policy

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of objects or null

Errors

401
Unauthorized Error
500
Internal Server Error